require 'active_rpc/engine' if defined?(Rails)
require 'active_rpc/errors'
require 'active_rpc/configuration'
require 'active_rpc/operation'
require 'active_rpc/request'
require 'active_rpc/response'

module ActiveRpc
  cattr_accessor :config

  def self.configure
    self.config ||= Configuration.new
    yield(config)
  end


  def self.get_executor(method)
    operation_map[method]
  end

  def self.operation_map
    @operation_map ||= {}
  end
end
