module ActiveRpc
  class Response
    attr_accessor :error, :result
    attr_reader :id

    def initialize(id:)
      @id = id
    end

    def to_hash
      {
       'jsonrpc' => '2.0',
        'id' => id
      }.tap do |h|
        if error
          h['error'] = error.to_hash
        else
          h['result'] = result
        end
      end
    end

    def self.from_request(req)
      new(id: req.id)
    end
  end
end
